'use strict';
angular.module('aom.directives')
  .directive('aomNavigateTo', function (aomComponentsSrv) {
    return {
      scope: {
        header: '<',
        location: '<',
        jobId: '='
      },
      controller: function ($scope, aomResourcesSrv) {

        $scope.data = {
          resources: aomResourcesSrv.data.resources
        };

        $scope.navigate = function navigate() {
          $scope.$emit('OpenJob', { jobId: $scope.jobId });
          aomComponentsSrv.launchNavigator($scope.location.Latitude, $scope.location.Longitude);
        };

      },
      templateUrl: 'App/Components/Map/navigateTo.html'
    };
  });